#app {
  display: flex;
  flex-direction: column;
  
}

.separator {
  width: 1px;
  display: inline-block;
  height: 34px;
  background: #fff;
  margin: 0 25px;
}

#toolbar {
  display: flex;
  align-items: center;
  background-color: #555;
  color: #fff;
  padding: 0.5em;
}
#toolbar button,
#toolbar input,
#toolbar a {
  color: currentColor;
  background-color: transparent;
  font: inherit;
  border: 1px solid currentColor;
  border-radius: 3px;
  padding: 0.25em 0.5em;
  text-align: center;
}
#toolbar input { width: 55px; }
#toolbar a { margin-right: 0; margin-left: auto; }
#toolbar button:hover,
#toolbar button:focus,
#toolbar input:hover,
#toolbar input:focus {
  color: lightGreen;
}
#page-mode {
  display: flex;
  align-items: center;
  padding: 0.25em 0em;
}
#page-mode label {
  margin-bottom: 0;
}

#viewport-container {
  flex: 1;
  background: #eee;
  overflow: auto;
  padding: 25px 15px;
}
#viewport {
  width: 90%;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
#viewport > div {
  text-align: center;
  max-width: 100%;
}
#viewport canvas {
  width: 100%;
  box-shadow: 0 2px 5px gray;
}